#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xf2a5f2b1, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0xc0252551, "bus_register" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0xbeda135a, "kmem_cache_create" },
	{ 0x3ed604b7, "bus_unregister" },
	{ 0x3583fb75, "kmem_cache_destroy" },
	{ 0x86b662ed, "ceph_pg_poolid_by_name" },
	{ 0xda1ce447, "cpu_online_mask" },
	{ 0xfe7c4287, "nr_cpu_ids" },
	{ 0x4141f80, "__tracepoint_module_get" },
	{ 0xd16c6225, "add_disk" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x2eeeee82, "device_register" },
	{ 0xf553331d, "dev_set_name" },
	{ 0x71a50dbc, "register_blkdev" },
	{ 0xc7a533f7, "ida_simple_get" },
	{ 0xf0ef7c00, "ida_simple_remove" },
	{ 0xd7a969f3, "blk_cleanup_queue" },
	{ 0x267ab361, "del_gendisk" },
	{ 0xa9e6ac95, "ceph_client_id" },
	{ 0x9ee0d4fa, "__blk_end_request_all" },
	{ 0xf8e2939f, "blk_fetch_request" },
	{ 0xc70ca5b4, "set_device_ro" },
	{ 0x261a24e6, "get_device" },
	{ 0xc18ccdda, "put_device" },
	{ 0x77f2203e, "put_disk" },
	{ 0x277af96c, "blk_queue_merge_bvec" },
	{ 0x4b95a2a9, "blk_queue_io_opt" },
	{ 0xc3f710cd, "blk_queue_io_min" },
	{ 0x7cb495c0, "blk_queue_max_segment_size" },
	{ 0xa81ad8d3, "blk_queue_max_hw_sectors" },
	{ 0xc8122cc3, "blk_queue_physical_block_size" },
	{ 0xaef00c0f, "blk_init_queue" },
	{ 0x778496cf, "alloc_disk" },
	{ 0xb8f040b6, "ceph_pg_pool_name_by_id" },
	{ 0xc499ae1e, "kstrdup" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x2b9708c3, "__init_rwsem" },
	{ 0xe7a0b31d, "ceph_compare_options" },
	{ 0xcf8d4424, "mutex_unlock" },
	{ 0x33c4da39, "mutex_lock" },
	{ 0xf7b0a903, "ceph_open_session" },
	{ 0x8915cacd, "ceph_destroy_options" },
	{ 0xd9d1fa48, "ceph_create_client" },
	{ 0x44e9a829, "match_token" },
	{ 0x87184f5b, "ceph_parse_options" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0xafe82e10, "strcspn" },
	{ 0x3fa913da, "strspn" },
	{ 0xa43ad768, "ceph_destroy_client" },
	{ 0x3ed7d20a, "up_write" },
	{ 0x92da295a, "down_write" },
	{ 0xfbbf5f42, "osd_req_op_cls_request_data_pages" },
	{ 0x6b215ae4, "module_put" },
	{ 0x562afc63, "device_unregister" },
	{ 0x81c72484, "ceph_osdc_flush_notifies" },
	{ 0x54a9db5f, "_kstrtoul" },
	{ 0x987cd9da, "blk_end_request" },
	{ 0x6f62c272, "osd_req_op_extent_osd_data_bio" },
	{ 0x9edbecae, "snprintf" },
	{ 0xb9fe5e99, "up_read" },
	{ 0x6b2e3bcd, "ceph_get_snap_context" },
	{ 0x8fc4eb2, "down_read" },
	{ 0x81e31fdb, "revalidate_disk" },
	{ 0x68a782e5, "arch_spin_lock_wait" },
	{ 0x55678b4b, "bsearch" },
	{ 0x2f2135d3, "osd_req_op_cls_response_data_pages" },
	{ 0x584dab09, "osd_req_op_cls_request_data_pagelist" },
	{ 0xd64bec4b, "ceph_pagelist_append" },
	{ 0x7030619d, "osd_req_op_cls_init" },
	{ 0x3f688151, "ceph_put_snap_context" },
	{ 0xae3515ba, "ceph_create_snap_context" },
	{ 0xdcd0d6a9, "ceph_copy_from_page_vector" },
	{ 0x1520cc32, "osd_req_op_extent_osd_data_pages" },
	{ 0x3259699, "osd_req_op_extent_init" },
	{ 0x93a2eb91, "ceph_osdc_set_request_linger" },
	{ 0x191cbb0e, "ceph_osdc_cancel_event" },
	{ 0x24dd6e95, "osd_req_op_watch_init" },
	{ 0xc48e704e, "ceph_osdc_unregister_linger_request" },
	{ 0x25606c3b, "ceph_osdc_create_event" },
	{ 0xf7a28718, "wait_for_completion_interruptible" },
	{ 0xef1065ac, "osd_req_op_raw_data_in_pages" },
	{ 0x30d3f672, "osd_req_op_init" },
	{ 0x576005d3, "ceph_alloc_page_vector" },
	{ 0xe5c91672, "ceph_osdc_start_request" },
	{ 0x67053080, "current_kernel_time" },
	{ 0x84d44b76, "complete_all" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x9b06e62d, "vmemmap" },
	{ 0x54275ede, "ceph_release_page_vector" },
	{ 0x73242888, "bio_put" },
	{ 0xb402bfcc, "kmem_cache_free" },
	{ 0xd5b037e1, "kref_put" },
	{ 0x197effcb, "ceph_osdc_release_request" },
	{ 0x32d3f454, "ceph_osdc_build_request" },
	{ 0x5b8db4c6, "bio_clone" },
	{ 0xb54bbe16, "bio_alloc" },
	{ 0x9775cdc, "kref_get" },
	{ 0xcd30bdee, "ceph_osdc_alloc_request" },
	{ 0x4588bf0f, "__dynamic_pr_debug" },
	{ 0xc8d112d, "__init_waitqueue_head" },
	{ 0x370e1acf, "kmem_cache_alloc" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x83800bfa, "kref_init" },
	{ 0xf8e5abba, "kmem_cache_alloc_trace" },
	{ 0xd855ea44, "malloc_sizes" },
	{ 0x37a0cba, "kfree" },
	{ 0x27e1a049, "printk" },
	{ 0x9514151a, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=libceph";


MODULE_INFO(srcversion, "20CEFCBA57F771874BD998A");
